Loading...
Searching...
No Matches
icu::message2::data_model::Pattern::Iterator Struct Reference

The Pattern::Iterator class provides an iterator over the formattable parts of a pattern. More...

`#include <messageformat2_data_model.h>`

## Public Member Functions

reference | operator* () const
| Dereference operator (gets the element at the current iterator position).
Iterator | operator++ ()
| Increment operator (advances to the next iterator position).

## Friends

class | Pattern
bool | operator== (const Iterator &a, const Iterator &b)
bool | operator!= (const Iterator &a, const Iterator &b)
| Inequality comparison operator (used for comparing an iterator to the result of end()).

## Detailed Description

The Pattern::Iterator class provides an iterator over the formattable parts of a pattern.

Pattern::Iterator is mutable and is not copyable or movable.

Internal
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated
  This API is for technology preview only.

Definition at line 1710 of file messageformat2_data_model.h.

## Member Function Documentation

## operator*()

reference icu::message2::data_model::Pattern::Iterator::operator* | ( |  | ) | const

inline

Dereference operator (gets the element at the current iterator position).

Internal
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated
  This API is for technology preview only.

Definition at line 1732 of file messageformat2_data_model.h.

## operator++()

Iterator icu::message2::data_model::Pattern::Iterator::operator++ | ( |  | ) |

inline

Increment operator (advances to the next iterator position).

Internal
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated
  This API is for technology preview only.

Definition at line 1742 of file messageformat2_data_model.h.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | const Iterator & | a,
|  | const Iterator & | b )

friend

Inequality comparison operator (used for comparing an iterator to the result of end()).

Internal
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated
  This API is for technology preview only.

Definition at line 1749 of file messageformat2_data_model.h.

## operator==

bool operator== | ( | const Iterator & | a,
|  | const Iterator & | b )

friend

Definition at line 1720 of file messageformat2_data_model.h.

## Pattern

friend class Pattern

friend

Definition at line 1718 of file messageformat2_data_model.h.

The documentation for this struct was generated from the following file:

- i18n/unicode/messageformat2_data_model.h